Package com.databricks.jdbc.api.impl.volume

## Class VolumeOperationProcessorDirect

- java.lang.Object
- - com.databricks.jdbc.api.impl.volume.VolumeOperationProcessorDirect

    public class VolumeOperationProcessorDirect
    extends Object

VolumeOperationProcessorDirect is a class that performs the volume operation directly into the DBFS using the pre signed url

### Constructor Summary

Constructors
`VolumeOperationProcessorDirect​(String operationUrl, String localFilePath, IDatabricksConnectionContext connectionContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `executeDeleteOperation()`
`void` `executeGetOperation()`
`void` `executePutOperation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VolumeOperationProcessorDirect

    public VolumeOperationProcessorDirect​(String operationUrl,
                                          String localFilePath,
                                          IDatabricksConnectionContext connectionContext)

### Method Detail

#### executeGetOperation

    public void executeGetOperation()
                             throws DatabricksVolumeOperationException

Throws:
  `DatabricksVolumeOperationException`

#### executePutOperation

    public void executePutOperation()
                             throws DatabricksVolumeOperationException

Throws:
  `DatabricksVolumeOperationException`

#### executeDeleteOperation

    public void executeDeleteOperation()
                                throws DatabricksVolumeOperationException

Throws:
  `DatabricksVolumeOperationException`